Bug 82840 - DIALOG: Customize toolbar should show options hidden with the split buttons
Summary: DIALOG: Customize toolbar should show options hidden with the split buttons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Muhammet Kara
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks: Dialog Customize-Dialog
  Show dependency treegraph
 
Reported: 2014-08-20 05:54 UTC by Yousuf Philips (jay)
Modified: 2017-02-14 08:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
How to delete an entry in the customize toolbar (126.06 KB, image/png)
2014-08-20 05:54 UTC, Yousuf Philips (jay)
Details
Customize Toolbar Mockup (69.29 KB, image/png)
2016-08-26 19:32 UTC, Muhammet Kara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-08-20 05:54:10 UTC
Created attachment 104935 [details]
How to delete an entry in the customize toolbar

As a user who customizes his toolbar, i think it would be great to have a 'delete' button underneath the 'add' and 'modify' entries, rather than having to click the modify button and then click the delete entry. Also think it would be good to have a 'reset' button underneath the 'delete' button, rather than having to click the toolbar button and then clicking 'restore default settings' entry.
Comment 1 Owen Genat (retired) 2014-08-23 11:32:07 UTC
Seems reasonable as usual actions are Add, Modify, and Delete. Component changed to UI (applies to Writer, Calc, Impress, Draw, Base, and Math). Status set to NEW.
Comment 2 Yousuf Philips (jay) 2014-09-01 15:22:05 UTC
An 'Add Separator' button would also be useful, as presently its located under the modify button.
Comment 4 Muhammet Kara 2016-08-22 16:29:49 UTC
I have submitted a patch for this bug report.[0] It adds the delete button. I appreciate comments/reviews.

I'll continue with the other buttons after this patch. Can we say that we are going to add "Delete" (already submitted the related patch), "Reset", and "Add Separator" buttons; so the final appearance of the buttons would be like this?
  -"Add"
  -"Modify"
  -"Delete"
  -"Reset"
  -"Add Separator"

The order of the first four buttons seems right, but I don't know where to put the "Add Separator" button.

--
[0] https://gerrit.libreoffice.org/#/c/28323/
Comment 5 Samuel Mehrbrodt (CIB) 2016-08-22 19:22:46 UTC
What if we move all those buttons in a toolbar below the "Commands" list box?
Comment 6 Muhammet Kara 2016-08-23 08:27:00 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #5)
> What if we move all those buttons in a toolbar below the "Commands" list box?

Do you mean something like this? http://i.cubeupload.com/iTwE8l.png
Comment 7 Commit Notification 2016-08-23 12:31:42 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5214eba02c011b5d15cc2ba33f4c6bd811e6cef1

tdf#82840 Add 'delete' button to toolbar customization

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Yousuf Philips (jay) 2016-08-23 21:27:56 UTC
(In reply to Muhammet Kara from comment #4)
> The order of the first four buttons seems right, but I don't know where to
> put the "Add Separator" button.

Would suggest you order them like this

Add Command
Add Separator
-margin or padding separator-
Modify
Delete
-margin or padding separator-
Reset

(In reply to Samuel Mehrbrodt (CIB) from comment #5)
> What if we move all those buttons in a toolbar below the "Commands" list box?

Dont think it looks good that way because it increases the height of the dialog and especially as all the other tabs and even the other section of the current tab have buttons on the right.

@Muhammet: If you are feeling so inclined, it would be good to remove the radio buttons from the 'Toolbar' button and have them underneath the toolbar drop down menu, so they are more visible/accessible.
Comment 9 Muhammet Kara 2016-08-26 19:32:59 UTC
Created attachment 127041 [details]
Customize Toolbar Mockup

Toolbars tab of Customize dialog.
Comment 10 Muhammet Kara 2016-08-26 19:35:54 UTC
(In reply to Yousuf (Jay) Philips from comment #8)
> (In reply to Muhammet Kara from comment #4)
> > The order of the first four buttons seems right, but I don't know where to
> > put the "Add Separator" button.
> 
> Would suggest you order them like this
> 
> Add Command
> Add Separator
> -margin or padding separator-
> Modify
> Delete
> -margin or padding separator-
> Reset
> 
> (In reply to Samuel Mehrbrodt (CIB) from comment #5)
> > What if we move all those buttons in a toolbar below the "Commands" list box?
> 
> Dont think it looks good that way because it increases the height of the
> dialog and especially as all the other tabs and even the other section of
> the current tab have buttons on the right.
> 
> @Muhammet: If you are feeling so inclined, it would be good to remove the
> radio buttons from the 'Toolbar' button and have them underneath the toolbar
> drop down menu, so they are more visible/accessible.

What do you think about the attached screenshot? (Customize Toolbar Mockup) (Note that the "Reset" button here resets the selected "toolbar" and restores its default values.)
Comment 11 Yousuf Philips (jay) 2016-08-27 01:57:51 UTC
(In reply to Muhammet Kara from comment #10)
> What do you think about the attached screenshot? (Customize Toolbar Mockup)
> (Note that the "Reset" button here resets the selected "toolbar" and
> restores its default values.)

Screenshot looks good, but i'd make these amendments

1) rename the 'visible' label to 'style'
2) restore the 'toolbar' group button which had rename and delete options in it and label it 'modify'
3) vertically center the toolbar command buttons and the move up and move down buttons with the commands listbox
4) replace the new visible separators with margin or padding, similar to how it is in the keyboard tab
Comment 12 Muhammet Kara 2016-08-31 11:43:45 UTC
(In reply to Yousuf (Jay) Philips from comment #11)
> (In reply to Muhammet Kara from comment #10)
> > What do you think about the attached screenshot? (Customize Toolbar Mockup)
> > (Note that the "Reset" button here resets the selected "toolbar" and
> > restores its default values.)
> 
> Screenshot looks good, but i'd make these amendments
> 
> 1) rename the 'visible' label to 'style'

Sure.

> 2) restore the 'toolbar' group button which had rename and delete options in
> it and label it 'modify'

Wouldn't it be confused with the other 'modify' button on the same dialog?

> 3) vertically center the toolbar command buttons and the move up and move
> down buttons with the commands listbox

Sure.

> 4) replace the new visible separators with margin or padding, similar to how
> it is in the keyboard tab

In the keyboard tab, it is done by grouping the buttons as 'primary' and 'secondary'. I couldn't do it the same way because we have three groups. I'll try to find a way to align them properly.
Comment 13 Yousuf Philips (jay) 2016-08-31 18:54:31 UTC
(In reply to Muhammet Kara from comment #12)
> > 2) restore the 'toolbar' group button which had rename and delete options in
> > it and label it 'modify'
> 
> Wouldn't it be confused with the other 'modify' button on the same dialog?

They are in two separate sections, so not a problem.

> > 4) replace the new visible separators with margin or padding, similar to how
> > it is in the keyboard tab
> 
> In the keyboard tab, it is done by grouping the buttons as 'primary' and
> 'secondary'. I couldn't do it the same way because we have three groups.
> I'll try to find a way to align them properly.

Margins or padding should be sufficient enough to achieve the same look, but we dont need visible separators.
Comment 14 Commit Notification 2016-09-05 09:29:44 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4aca836a468bb0e2a7aae0800164e2b81f96243f

tdf#82840 Add 'Reset' button to toolbar customization

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 jani 2016-09-06 06:15:00 UTC
seems ready to close
Comment 16 Yousuf Philips (jay) 2016-09-06 17:14:24 UTC
As modifying one of the tabs, modifies all the tabs, it would also be useful to move the 'add submenu' entry out of the modify button in the menus and context menus tabs. Is there a reason why 'restore default command' is only available in the toolbars tab?
Comment 17 Commit Notification 2016-09-07 15:26:11 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b3feeff98385bccce14b83bf32f079f624550c6

tdf#82840 Add 'Add Separator' button to toolbar customization

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-09-15 17:05:04 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58abb0fd301c235ea3f8d2a00be299ca0e9c7a8e

tdf#82840 Add radio buttons for toolbar styles

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.